#!/bin/csh

# ====================================================
# Script for running APB eVC demo
# 
# Currently only for MTI VHDL
# ====================================================
#source set_path.sh
setenv APB `sn_which.sh shr_apb`

#check that the APB eVC is correctly installed
if !(-f ${APB}/PACKAGE_README.txt) then
  echo APB eVC package is not correctly installed
  exit 0
endif

#remove any old work directory
if (-e work) then
  rm -rf work
endif

#Recompile the VHDL
vlib work
vcom ${APB}/examples/specman_qvh.vhd
vcom ${APB}/examples/tb_apb2.vhd

#Launch Specview and Modelsim
specview vsim -keepstdout -do ${APB}/examples/sv.do top &
