Title        : coverage for APB eVC
Project      : APB eVC
File name    : shr_apb_coverage.e
             :
Created On   : 22/04/2002
             :
Developers   : Patrick Oury, Verisity EURL
             :
Purpose      : 
             :
Description  : 
             :
Assumptions  : none
             :
Limitations  : none
             :
Known Errors : none
             :
Notes        : 

----------------------------------------------------------------------------
Revision History :
----------------------------------------------------------------------------

<'

import shr_apb_types;
import shr_apb_monitor;

extend shr_apb_bus_monitor_u {
    //cover bus states
    event bus_phase_trap is @pclk_f;       
    cover bus_phase_trap is {
      	  item state: shr_apb_phase_t  = phase; 
	 };
	 
	 
	 when FALSE'amba3 shr_apb_bus_monitor_u {
	 	run() is also {
			set_cover ("shr_apb_bus_monitor_u.bus_phase_trap.state_amba3", FALSE);
		};
		 cover bus_phase_trap is also {
      	  transition state using  name = state_amba2,
         	 illegal = (
            	(prev_state == IDLE and state == ENABLE)
            	or 
            	(prev_state == SETUP and state ==SETUP )
            	or 
            	(prev_state ==ENABLE and state == ENABLE)
            	or 
            	(prev_state ==SETUP and state == IDLE)
         	 );
   	 };
	};
	
	 when amba3 shr_apb_bus_monitor_u {
	 	run() is also {
			set_cover ("shr_apb_bus_monitor_u.bus_phase_trap.state_amba2", FALSE);
		};
	 
		 cover bus_phase_trap is also {
      	  transition state using name = state_amba3,
         	 illegal = (
            	(prev_state == IDLE and state == ENABLE)
            	or 
            	(prev_state == SETUP and state ==SETUP )
            	or 
            	(prev_state ==SETUP and state == IDLE)
         	 );
   	 };
	};	
	 
};


'>

