-----------------------------------------------------------------------
-- clock.vhd
-- Used for testing devices with timing
--  
--------------------------------------------------------------- 
library ieee;
use     ieee.std_logic_1164.all;

entity top is 
end top;

architecture behave of top is
  component comspec
  end component;
  for all: comspec use entity work.SPECMAN_REFERENCE (arch);

-- first instance
	signal	rst:	std_logic :='1';
	signal clock:    std_logic := '0';

	signal addr         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal wdata         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal rdata         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal write:    std_logic;
	signal enable:    std_logic;
	signal ready:    std_logic;
	signal slverr:    std_logic;

	signal  hsel0 : std_ulogic;   -- slave selected
	signal  hsel1 : std_ulogic;   -- slave selected
	signal  hsel2 : std_ulogic;   -- slave selected
	signal  hsel3 : std_ulogic;   -- slave selected
	signal  hsel4 : std_ulogic;   -- slave selected
	signal  hsel5 : std_ulogic;   -- slave selected
	signal  hsel6 : std_ulogic;   -- slave selected
	signal  hsel7 : std_ulogic;   -- slave selected
	signal  hsel8 : std_ulogic;   -- slave selected
	signal  hsel9 : std_ulogic;   -- slave selected
	signal  hsel10 : std_ulogic;   -- slave selected
	signal  hsel11 : std_ulogic;   -- slave selected
	signal  hsel12 : std_ulogic;   -- slave selected
	signal  hsel13 : std_ulogic;   -- slave selected
	signal  hsel14 : std_ulogic;   -- slave selected
	signal  hsel15 : std_ulogic;   -- slave selected 
        signal  irq    : std_ulogic;   -- slave selected 

-- second instance
 	signal rst_2:	std_logic :='1';
	signal addr_2         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal wdata_2         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal rdata_2         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal write_2:    std_logic;
	signal enable_2:    std_logic;
	signal ready_2:    std_logic;
	signal slverr_2:    std_logic;

	signal  hsel0_2 : std_ulogic;   -- slave selected
	signal  hsel1_2 : std_ulogic;   -- slave selected
	signal  hsel2_2 : std_ulogic;   -- slave selected
	signal  hsel3_2 : std_ulogic;   -- slave selected
	signal  hsel4_2 : std_ulogic;   -- slave selected
	signal  hsel5_2 : std_ulogic;   -- slave selected
	signal  hsel6_2 : std_ulogic;   -- slave selected
	signal  hsel7_2 : std_ulogic;   -- slave selected
	signal  hsel8_2 : std_ulogic;   -- slave selected
	signal  hsel9_2 : std_ulogic;   -- slave selected
	signal  hsel10_2 : std_ulogic;   -- slave selected
	signal  hsel11_2 : std_ulogic;   -- slave selected
	signal  hsel12_2 : std_ulogic;   -- slave selected
	signal  hsel13_2 : std_ulogic;   -- slave selected
	signal  hsel14_2 : std_ulogic;   -- slave selected
	signal  hsel15_2 : std_ulogic;   -- slave selected 
        signal  irq_2 : std_ulogic;   -- slave selected 

begin
	clock <= not clock after 50 ns;
	I: comspec;
end behave;
