-----------------------------------------------------------------------
-- clock.vhd
-- Used for testing devices with timing
--  
--------------------------------------------------------------- 
library ieee;
use     ieee.std_logic_1164.all;

entity top is 
end top;

architecture behave of top is

	signal	rst:	std_logic :='1';
	signal clock:    std_logic := '0';

	signal addr         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal wdata         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal rdata         : std_logic_vector(31 downto 0);   -- //  (io) [32] address & data
	signal write:    std_logic;
	signal enable:    std_logic;
	signal ready:    std_logic;
	signal slverr:    std_logic;

	signal  hsel0 : std_ulogic;   -- slave selected
	signal  hsel1 : std_ulogic;   -- slave selected
	signal  hsel2 : std_ulogic;   -- slave selected
	signal  hsel3 : std_ulogic;   -- slave selected
	signal  hsel4 : std_ulogic;   -- slave selected
	signal  hsel5 : std_ulogic;   -- slave selected
	signal  hsel6 : std_ulogic;   -- slave selected
	signal  hsel7 : std_ulogic;   -- slave selected
	signal  hsel8 : std_ulogic;   -- slave selected
	signal  hsel9 : std_ulogic;   -- slave selected
	signal  hsel10 : std_ulogic;   -- slave selected
	signal  hsel11 : std_ulogic;   -- slave selected
	signal  hsel12 : std_ulogic;   -- slave selected
	signal  hsel13 : std_ulogic;   -- slave selected
	signal  hsel14 : std_ulogic;   -- slave selected
	signal  hsel15 : std_ulogic;   -- slave selected 
        signal  irq    : std_ulogic;   -- slave selected 
 
begin
	clock <= not clock after 50 ns;
end behave;
